Subject: Re: [bitcoin-dev] A summary list of all concerns related to rising the block size

From: Jorge Timón <[email-masked]>
Date: Sat, 15 Aug 2015 00:01:04 +0200

On Wed, Aug 12, 2015 at 6:41 PM, Thomas Zander via bitcoin-dev
<[email-masked]> wrote:
> On Wednesday 12. August 2015 12.28.39 Jorge Timón wrote:
>> But let's just list the concerns first.
>
> Concerns?

Yes, concerns or risks. Feel free to bike-shed the word.

> I have never heard of "develop-by-concerns"? Is that similar to
> fire fighting management?
> To that I have this reply;
> http://www.aleanjourney.com/2009/07/stop-fighting-fires.html

I'm not the manager of Bitcoin Core nor the Bitcoin consensus rules.
I'm just trying to separate "dogs from cats" (if you allow me the
analogy) in another random attempt to move the discussion into more
productive territories.
I wouldn't be doing this if I didn't felt we have advance identifying
and understanding each other's concerns better.
If you think this thread is useless you don't need to participate.

> Your question makes sure that the proper answers don't fit.
> And that may be why you are getting frustrated because I've given a lot of
> reasons why a blocksize increase is needed soon, and none of them show up
> in your list...
>
> http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2015-August/010120.html
>
> http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2015-August/010129.html
>
> And various others; I'm not going to bother pasting URLs, you probably have
> them already.
>
> Point is, Bitcoin is a growing network, with a growing amount of transactions
> and we KNOW we will get into problems when the block consistently get full.
> How do we know? Because of the old guys in this list having the experience
> that this always happens, because anyone in the IT business can tell you the
> same.
>
> We have started LN to cope with this growth, but this won't be enough since it
> just won't handle all usecases and thus the on-chain growth will continue. For
> instance remittances and cross-border purchases.
> We need both LN as well as bigger blocks.

This thread is for "guardian dogs". To discuss to mouses catches we're
missing, I've created the other almost-identically-titled thread:
http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2015-August/010188.html
The title of this one doesn't contain a "not" like the other one. You
missed (imagined?) that little detail.

In other words, if you want to contribute to this thread, think about
"things that could go wrong if we rise the consensus block size
maximum".
Judging from your strong conviction about the need of an urgent size
rise, probably you have thought hard about this before concluding that
there's not risk for your favorite proposed size (2MB, 8MB, 8GB,
20GB?).
Note that even if you are certain that those risks aren't a concern at
this scale, identifying and somehow estimating or measuring (if that's
even possible) the risks will be useful for future increases.